<?php

/*

+-----------------------------------------------------------------------+

Plugin Name: HDavecPrefixe

Version: 2.0-beta1

Description: Permet le nommage des photos en haute dfinition avec un prefixe au choix

Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=274

Author:Didou

Author URI:www.mimamou.fr

+-----------------------------------------------------------------------+

| This program is free software; you can redistribute it and/or modify  |

| it under the terms of the GNU General Public License as published by  |

| the Free Software Foundation                                          |

|                                                                       |

| This program is distributed in the hope that it will be useful, but   |

| WITHOUT ANY WARRANTY; without even the implied warranty of            |

| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |

| General Public License for more details.                              |

|                                                                       |

| You should have received a copy of the GNU General Public License     |

| along with this program; if not, write to the Free Software           |

| Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |

| USA.                                                                  |

+-----------------------------------------------------------------------+

*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

if (!defined('IN_ADMIN') or !IN_ADMIN) die('Hacking attempt!');

$x = @file_get_contents( $conf['local_data_dir'].'/plugins/'.basename(dirname(__FILE__)).'.dat');

include_once(dirname(__FILE__).'/../include/hdprefixe_class.inc.php');





// Gestion des onglets

// Tabsheets 

include_once(PHPWG_ROOT_PATH.'admin/include/tabsheet.class.php');

$CC_url = get_admin_plugin_menu_link(__FILE__);

if (!isset($_GET['tab'])) $page['tab'] = 'hdsynchro';

else $page['tab'] = $_GET['tab'];  



$tabsheet = new tabsheet();

$tabsheet->add('hdsynchro', l10n('HD Synchronisation'), $CC_url.'&amp;tab=hdsynchro');

$tabsheet->add('modifprefixe', l10n('Modification du prefixe'), $CC_url.'&amp;tab=modifprefixe');

$tabsheet->select($page['tab']);

$tabsheet->assign();

$template->assign('page', $page['tab']);



//Instanciation de la classe et actions suivant le tab

$obj = new HDPrefixe();

$obj->load_config();

	

if ($page['tab']=='modifprefixe'&&isset($_POST['prefixehd']))

{

	$obj->my_config['Prefixe'] = $_POST['prefixehd'];

	$obj->save_config();

	set_plugin_data($plugin_id, $obj);

}



if ($page['tab']=='hdsynchro'&&isset($_POST['synchro']))

{

	$valeur=$obj->synchro_has_high(); 

}



//Chargement du prefixe (donnee du pluggin)

$me = get_plugin_data($plugin_id);



//Gestion du template en fonction  suivant le tab

global $template;



$template->set_filenames( array(

	'plugin_admin_content' => dirname(__FILE__).'/../template/hdprefixe_'.$page['tab'].'.tpl') );



$template->assign('PREFIXEHD', $me->my_config['Prefixe']);

if(isset($valeur)){

	$template->assign('DEBUG', $valeur);

}



$template->assign_var_from_handle( 'ADMIN_CONTENT', 'plugin_admin_content');



?>